docs

# SimpleKeyboardButton

data class SimpleKeyboardButton (val text: String ) : KeyboardButton
Content copied to clipboard

Simple button. user will send text of this button. You will be able to catch this text in updates and data using dev.inmo.tgbotapi.extensions.behaviour_builder.triggers_handling.onText in case you are using Behaviour Builder OR with dev.inmo.tgbotapi.updateshandlers.FlowsUpdatesFilter.messagesFlow and kotlinx.coroutines.flow.filterIsInstance and filtering by type dev.inmo.tgbotapi.types.message.abstracts.CommonMessage and dev.inmo.tgbotapi.extensions.utils.onlyTextContentMessages

## Constructors

SimpleKeyboardButton
Link copied to clipboard
fun SimpleKeyboardButton (text: String )
Content copied to clipboard

## Properties

text
Link copied to clipboard
open override val text : String
Content copied to clipboard